Get batched prices for multiple tokens on a network.
curl --request GET \
--url https://api.dexpaprika.com/networks/{network}/multi/pricesimport requests
url = "https://api.dexpaprika.com/networks/{network}/multi/prices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/networks/{network}/multi/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"chain": "ethereum",
"price_usd": 4400.569711292153
},
{
"id": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"chain": "ethereum",
"price_usd": 1.0002529851244053
}
]Tokens
Get batched prices for multiple tokens on a network.
Retrieves the current USD price for a list of specified token addresses in a single API call. This is more efficient than making multiple requests to the single-token detail endpoint when you only need pricing information.
GET
/
networks
/
{network}
/
multi
/
prices
Get batched prices for multiple tokens on a network.
Path Parameters
Query Parameters
A comma-separated list of token contract addresses.
Constraints:
- A maximum of 10 token addresses can be provided.
- The total length of the string must not exceed 2000 characters.
Example: ?tokens=0xc02...cc2,0xdac...ec7
Maximum array length:
10Was this page helpful?